clang 8.0.0

Public Member Functions | List of all members
clang::tooling::RenamingAction Class Reference

`#include "clang/Tooling/Refactoring/Rename/RenamingAction.h"`

## Public Member Functions
| RenamingAction (const std::vector< std::string > &NewNames, const std::vector< std::string > &PrevNames, const std::vector< std::vector< std::string >> &USRList, std::map< std::string, tooling::Replacements > &FileToReplaces, bool PrintLocations=false)
std::unique_ptr< ASTConsumer > | newASTConsumer ()

## Detailed Description

Definition at line 31 of file RenamingAction.h.

## Constructor & Destructor Documentation

## ◆ RenamingAction()

clang::tooling::RenamingAction::RenamingAction | ( | const std::vector< std::string > & | NewNames,
|  | const std::vector< std::string > & | PrevNames,
|  | const std::vector< std::vector< std::string >> & | USRList,
|  | std::map< std::string, tooling::Replacements > & | FileToReplaces,
|  | bool | PrintLocations = `false`
| ) |  |
| inline

Definition at line 33 of file RenamingAction.h.

References newASTConsumer().

## Member Function Documentation

## ◆ newASTConsumer()

std::unique_ptr< ASTConsumer > clang::tooling::RenamingAction::newASTConsumer | ( |  | ) |

Definition at line 267 of file RenamingAction.cpp.

Referenced by clang::tooling::QualifiedRenamingAction::QualifiedRenamingAction(), and RenamingAction().

The documentation for this class was generated from the following files:

- include/clang/Tooling/Refactoring/Rename/RenamingAction.h
- lib/Tooling/Refactoring/Rename/RenamingAction.cpp